# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /var/jenkins/workspace/ArborX_nightly/source-kokkos

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /var/jenkins/workspace/ArborX_nightly/build-kokkos

# Include any dependencies generated for this target.
include CMakeFiles/impl_git_version.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/impl_git_version.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/impl_git_version.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/impl_git_version.dir/flags.make

CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o: CMakeFiles/impl_git_version.dir/flags.make
CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o: generated/Kokkos_Version_Info.cpp
CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o: CMakeFiles/impl_git_version.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/var/jenkins/workspace/ArborX_nightly/build-kokkos/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o"
	/var/jenkins/workspace/ArborX_nightly/source-kokkos/bin/kokkos_launch_compiler /var/jenkins/workspace/ArborX_nightly/source-kokkos/bin/nvcc_wrapper /usr/bin/c++ /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o -MF CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o.d -o CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o -c /var/jenkins/workspace/ArborX_nightly/build-kokkos/generated/Kokkos_Version_Info.cpp

CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /var/jenkins/workspace/ArborX_nightly/build-kokkos/generated/Kokkos_Version_Info.cpp > CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.i

CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /var/jenkins/workspace/ArborX_nightly/build-kokkos/generated/Kokkos_Version_Info.cpp -o CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.s

# Object files for target impl_git_version
impl_git_version_OBJECTS = \
"CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o"

# External object files for target impl_git_version
impl_git_version_EXTERNAL_OBJECTS =

libimpl_git_version.a: CMakeFiles/impl_git_version.dir/generated/Kokkos_Version_Info.cpp.o
libimpl_git_version.a: CMakeFiles/impl_git_version.dir/build.make
libimpl_git_version.a: CMakeFiles/impl_git_version.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/var/jenkins/workspace/ArborX_nightly/build-kokkos/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX static library libimpl_git_version.a"
	$(CMAKE_COMMAND) -P CMakeFiles/impl_git_version.dir/cmake_clean_target.cmake
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/impl_git_version.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/impl_git_version.dir/build: libimpl_git_version.a
.PHONY : CMakeFiles/impl_git_version.dir/build

CMakeFiles/impl_git_version.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/impl_git_version.dir/cmake_clean.cmake
.PHONY : CMakeFiles/impl_git_version.dir/clean

CMakeFiles/impl_git_version.dir/depend:
	cd /var/jenkins/workspace/ArborX_nightly/build-kokkos && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /var/jenkins/workspace/ArborX_nightly/source-kokkos /var/jenkins/workspace/ArborX_nightly/source-kokkos /var/jenkins/workspace/ArborX_nightly/build-kokkos /var/jenkins/workspace/ArborX_nightly/build-kokkos /var/jenkins/workspace/ArborX_nightly/build-kokkos/CMakeFiles/impl_git_version.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/impl_git_version.dir/depend

